#
# This script will build the GIMP app skeleton and place the result in your home folder
#
# $Id: make_skeleton.sh 15 2007-12-16 10:23:49Z sjborley $

BUILD=`pwd`/build

# Build the launcher
cd ScriptExec
xcodebuild -configuration Deployment
cd ..

# Create the build directory
mkdir -p $BUILD

# Copy the main skelaton to the build folder
cd "Application"
cp -r "." $BUILD
cd ..

# Copy other items
cp ./ScriptExec/build/Deployment/ScriptExec.app/Contents/MacOS/ScriptExec "$BUILD/GIMP.app/Contents/MacOS/Gimp"
cp gimpguts.sh $BUILD

# remove SVN files
cd $BUILD
find . -name ".svn" -exec rm -rf '{}' \;
